## hubzero-texvc 1.0.1

=== Makefile ===
--- 
+++ 
@@ -10,16 +10,14 @@
 html.o mathml.cmi mathml.cmo mathml.cmx mathml.o
 CGIPATH=-I /usr/lib/ocaml/cgi -I /usr/lib/ocaml/netstring -I /usr/lib/ocaml/pcre
 
-INSTDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/bin
 OWNER=root
 GROUP=root
 
 all: texvc texvc_test texvc_tex
 
 install: all
-	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755	
-	install -d $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755	
-	install texvc $(INSTDIR)/hubzero/bin/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
+	install texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
 
 texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
 	ocamlc -o $@ unix.cma $^
