## hubzero-texvc 1.1.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 all: texvc texvc_test texvc_tex
 
 install: all
-	install texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
+	install -D texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
 
 texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
 	ocamlc -o $@ unix.cma $^
