## hubzero-texvc 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+.PHONY: clean all
+
 OBJ=render_info.cmo tex.cmo texutil.cmo parser.cmo lexer.cmo texvc.cmo \
 render_info.cmx tex.cmx texutil.cmx parser.cmx lexer.cmx texvc.cmx \
 lexer.cmi parser.cmi render_info.cmi tex.cmi texutil.cmi texvc.cmi \
@@ -10,23 +12,43 @@
 html.o mathml.cmi mathml.cmo mathml.cmx mathml.o
 CGIPATH=-I /usr/lib/ocaml/cgi -I /usr/lib/ocaml/netstring -I /usr/lib/ocaml/pcre
 
+COMMON_NATIVE_OBJ  =util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx
+COMMON_BYTECODE_OBJ=util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo lexer.cmo
+
 USRBINDIR=$(DESTDIR)/usr/bin
-OWNER=root
-GROUP=root
 
 all: texvc texvc_test texvc_tex
+cgi: texvc_cgi.cmo texvc_cgi
+clean:
+	rm -f $(OBJ)
 
-install: all
-	install -D texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
+# Native versions
+texvc: $(COMMON_NATIVE_OBJ) render.cmx texvc.cmx
+	ocamlopt -o $@ unix.cmxa $^
+texvc_test: $(COMMON_NATIVE_OBJ) lexer.cmx texvc_test.cmx
+	ocamlopt -o $@ $^
+texvc_tex: $(COMMON_NATIVE_OBJ) texvc_tex.cmx
+	ocamlopt -o $@ $^
 
-texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
+# Bytecode version
+texvc.bc: $(COMMON_BYTECODE_OBJ) render.cmo texvc.cmo
 	ocamlc -o $@ unix.cma $^
-texvc: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx render.cmx lexer.cmx texvc.cmx
-	ocamlopt -o $@ unix.cmxa $^
-texvc_test: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_test.cmx
-	ocamlopt -o $@ $^
-texvc_tex: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_tex.cmx
-	ocamlopt -o $@ $^
+
+# CGI related targets:
+texvc_cgi.cmo: texvc_cgi.ml
+	ocamlc -c $(CGIPATH) $<
+texvc_cgi: util.cmo parser.cmo texutil.cmo render.cmo lexer.cmo texvc_cgi.cmo
+	ocamlc -o $@ unix.cma $(CGIPATH) pcre.cma netstring.cma cgi.cma $^
+	chmod g-w $@
+
+#
+# Pattern rules
+#
+
+#  .ml source  .mli interface
+#  .cmi compiled interface
+#  .cmo object       .cma library object
+#  .cmx object file  .cmxa library object file
 %.ml: %.mll
 	ocamllex $<
 %.mli %.ml: %.mly
@@ -37,13 +59,8 @@
 	ocamlopt -c $<
 %.cmi: %.mli
 	ocamlc -c $<
-texvc_cgi.cmo: texvc_cgi.ml
-	ocamlc -c $(CGIPATH) $<
-texvc_cgi: util.cmo parser.cmo texutil.cmo render.cmo lexer.cmo texvc_cgi.cmo
-	ocamlc -o $@ unix.cma $(CGIPATH) pcre.cma netstring.cma cgi.cma $^
-	chmod g-w $@
-clean:
-	rm -f $(OBJ) build-stamp configure-stamp texvc texvc_test texvc_tex
+
+# Various dependencies
 
 html.cmo: render_info.cmi tex.cmi util.cmo html.cmi 
 html.cmx: render_info.cmi tex.cmi util.cmx html.cmi 
@@ -70,3 +87,6 @@
 texvc_test.cmx: html.cmx lexer.cmx parser.cmx texutil.cmx util.cmx 
 texvc_tex.cmo: lexer.cmo parser.cmi texutil.cmi util.cmo 
 texvc_tex.cmx: lexer.cmx parser.cmx texutil.cmx util.cmx 
+
+install: texvc
+	install -D texvc $(USRBINDIR)/texvc --mode 0755
