## hubzero-texvc 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-texvc
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,6 +24,17 @@
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
+
+DISTRIBUTION:=$(shell lsb_release -i -s)
+
+# docbook.xsl is in a different location for RH and DEBIAN
+ifeq ($(DISTRIBUTION),Debian)
+dbook="/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl"
+else
+dbook="/usr/share/sgml/docbook/xsl-stylesheets-1.75.2/manpages/docbook.xsl"
+endif
+
+
 
 USRBIN=$(DESTDIR)/usr/bin
 USRSHAREMAN=$(DESTDIR)/usr/share/man
@@ -45,7 +56,7 @@
 	@true
 
 texvc.1: texvc.xml
-	xsltproc -nonet -o texvc.1 /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl texvc.xml
+	xsltproc -nonet -o texvc.1 $(dbook) texvc.xml
 
 texvc: $(COMMON_NATIVE_OBJ) render.cmx texvc.cmx
 	ocamlopt -o $@ unix.cmxa $^
@@ -98,10 +109,13 @@
 	install --mode 0755 texvc -D $(USRBIN)/texvc
 	install --mode 0644 texvc.1 -D $(USRSHAREMAN)/man1/texvc.1
 
+uninstall:
+	@true
+
 postinst:
 	@true
 
 clean:
 	rm -f $(OBJ) texvc.1
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean
