## hubzero-texvc 2.1.1-1+deb7

=== debian/changelog ===
hubzero-texvc (2.1.1-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 11:30:36 -0400

hubzero-texvc (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 11:23:41 -0400

hubzero-texvc (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 17:15:01 -0400

hubzero-texvc (1.3.0-1) unstable; urgency=low

  * update version number for diego repo

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 16:30:58 -0400

hubzero-texvc (1.2.0-1) unstable; urgency=low

  *  sync to upstream 2:1.0+git20120528-8, update packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 06 Sep 2014 13:02:41 -0400

hubzero-texvc (1.1.4-1) unstable; urgency=low

  * actually include the binary in the package this time 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 18:58:20 -0400

hubzero-texvc (1.1.3-1) unstable; urgency=low

  *  sync to upstream 2:1.0+git20120528-7

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 13:53:17 -0400

hubzero-texvc (1.1.2-1) unstable; urgency=low

  * version bump for packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:36:32 -0400

hubzero-texvc (1.1.1-1) unstable; urgency=low

  * sync to upstream (1.19.1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 09:44:56 -0400

hubzero-texvc (1.1.0-1) unstable; urgency=low

  * Fix lintian errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 16:18:42 -0400

hubzero-texvc (1.0.1-1) unstable; urgency=low

  * Clean up debian packaging
  * Move to /usr/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2011 18:35:53 -0500

hubzero-texvc (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:23:14 -0400

hubzero-texvc (0.9.2-1) testing; urgency=low

  * added texlive and dvi2ps to dependencies in debian/control

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 01 Apr 2011 15:54:43 -0400

hubzero-texvc (0.9.1-1) testing; urgency=low

  * Updated by Nick to include a few small upstream changes from squeeze

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 22 Mar 2011 00:10:41 -0400

hubzero-texvc (0.9.0-1) testing; urgency=low

  * Added new copyright but left original portion to upstream author.
  * Cleaned up the debian directory.

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 04 Mar 2011 03:11:29 -0500

hubzero-texvc (0.8.2-1) unstable; urgency=low

  * Non-maintainer upload.
  * Advanced version number to avoid conflict in the repository, also marked
    as unstable.

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 05 Oct 2010 14:25:53 -0400

hubzero-texvc (0.8.1-1) stable; urgency=low

  * Move installation directory out of conflict with mediawiki-texvc

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 13:24:12 -0400

hubzero-texvc (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 12:29:47 -0400
