=== debian/changelog ===
hubzero-texvc (2.1.1-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 11:30:36 -0400
