=== debian/control ===
Source: hubzero-texvc
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), ocaml, xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.8.4
Homepage: http://www.mediawiki.org/wiki/Extension:Math

Package: hubzero-texvc
Architecture: any
Depends: ${shlibs:Depends}, texlive-latex-base, ghostscript, imagemagick, texlive-latex-extra, ${misc:Depends}
Conflicts: mediawiki-math-texvc, mediawiki-math, mediawiki1.5-math, mediawiki1.9-math, mediawiki1.10-math
Replaces: mediawiki-math-texvc, mediawiki-math, mediawiki1.5-math, mediawiki1.9-math, mediawiki1.10-math
Provides: mediawiki-math, mediawiki-math-texvc
Description: HUBzero CMS math rendering utility
 HUBzero CMS math rendering utility. Same as mediawiki-math but without the
 package dependencies on mediawiki.
 .
 This package contains the texvc binary required for server side math rendering
