## hubzero-texvc 2.2.5-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-texvc
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -21,16 +20,21 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 DISTRIBUTION:=$(shell lsb_release -i -s)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 # docbook.xsl is in a different location for RH and DEBIAN
 ifeq ($(DISTRIBUTION),Debian)
 dbook="/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl"
 else
+ifeq ($(MAJORVERSION),6)
 dbook="/usr/share/sgml/docbook/xsl-stylesheets-1.75.2/manpages/docbook.xsl"
+else
+dbook="/usr/share/sgml/docbook/xsl-ns-stylesheets-1.78.1/manpages/docbook.xsl"
+endif
 endif
