=== debian/changelog ===
hubzero-texvc (2.2.5-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 22:21:01 -0700

hubzero-texvc (2.2.4-1) unstable; urgency=low

  * fix file list in rpm spec

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 18:30:11 -0700

hubzero-texvc (2.2.3-1) unstable; urgency=low

  * update docbook path for el7

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 18:22:41 -0700

hubzero-texvc (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 15:52:29 -0700

hubzero-texvc (2.2.1-1) unstable; urgency=low

  * update dependencies for rpm build

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 09 Apr 2019 16:43:54 -0400

hubzero-texvc (2.2.0-1) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 12 Apr 2018 16:37:13 -0400

hubzero-texvc (2.1.1-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 12 Apr 2018 11:30:36 -0400
