=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-texvc
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0), ocaml, xsltproc, docbook-xml, docbook-xsl
 Standards-Version: 3.8.4
 Homepage: http://www.mediawiki.org/wiki/Extension:Math
